cayenne-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andrus Adamchik <and...@objectstyle.org>
Subject Re: maven dependency issues
Date Mon, 28 Dec 2009 08:39:06 GMT
Or we can actually delete the 1.6 module on 3.0 branch all together,  
as it doesn't contain anything useful (or anything at all for that  
matter).

(same for 3.1 I guess, but I was hoping we'll start using 1.6 features  
at some point).

On Dec 28, 2009, at 10:08 AM, Andrey Razumovsky wrote:

> 2009/12/28 Aristedes Maniatis <ari@maniatis.org>
>
>>
>> 1. If we want Javadocs for 3.0 then we need to hack that branch to  
>> work
>> around the fact that maven can't build javadocs properly. Maybe we  
>> need to
>> add this to the appropriate modules:
>>
>> <plugin>
>>  <groupId>org.apache.maven.plugins</groupId>
>>  <artifactId>maven-javadoc-plugin</artifactId>
>>
>>  <configuration>
>>    <skip>true</skip>
>>  </configuration>
>> </plugin>
>>
>> Andrey, would that work around the maven bug you found?
>>
>>
> I'd prefer a simple workaround I did on 3.1 trunk.. just committed it.
>
> Also don't blame maven for its build order - you can see on the top  
> of the
> log that it is correct. So the second problem is somewhere else..


Mime
View raw message